64bitové verze Apache, MySQL a PHP na Vista x64

MyEgo.cz

home foto blogy mywindows.cz kontakt

64bitové verze Apache, MySQL a PHP na Vista x64

Instalaci 32bitových verzí Apache, MySQL a PHP jsem již velice podrobně popisoval (a jedná se mimochodem o jeden z nejčtenějších článků na MyEgo.cz, přes 40.000 pageviews).

Pokud používáte Windows Vista x64 či starší Windows XP x64, budete spíše chtít provozovat 64bitové verze těchto serverových komponent. Není to ale tak jednoduché, ani Apache ani PHP nenabízejí pro Windows oficiálně nic jiného než 32bitové verze, oficiálně 64bitový je pouze MySQL server.

Osobně používám pro vývoj neoficiální x64 kompilace Apache a PHP už skoro rok a fungují výborně, subjektivně se mi na Vista x64 zdají podstatně rychlejší než jejich 32bitové verze.

  • 64bitové PHP v poslední verzi 5.2.5 si můžete stáhnout na fusionxlan.com (jedná se o soubor PHP-current-x64.zip) .
  • Apache 2.2.4 server na blackdot.de (soubor httpd-2.2.4_x64.exe), zde je i slušný návod na kompilaci novějších verzí pomocí Visual Studia 2005.

Oba soubory rozbalte třeba pomocí 7-zip do adresáře, kde je chcete mít nainstalovány. Konfigurace bude velice podobná jakou 32bitové verze, jen musíte nejprve nainstalovat Visual C++ 2005 x64 runtime, nastavit httpd.conf a php.ini stejně jako u 32bitové verze (viz článek), poté otestovat tuto konfiguraci pomocí bin/httpd.exe -t a pokud je vše v pořádku, tak nainstalovat službu pomocí bin/httpd.exe -k install.

Výsledkem bude podobné PHPINFO:

x64 verze PHP a Apachex64 verze PHP a Apache

Komentáře

  1. 1 Jaroslav Šmíd 19.02.08, 01:05:03
    FB

    Ahoj Radku, potřeboval bych malinko pomoci s instalací MySQL (x64). Ať instaluji verzi 5.0 či 5.1, na konci instalace se nespustí konfigurátor. Když se jej pokusím spustit manuálně ze složky mysql, windows ukáže chybu "Spuštění aplikace se nezdařilo, její konfigurace není správná" a v eventlogu je error "Generování kontextu aktivace pro E:\Server\MySQL-5.0.51a-win64\bin\MySQLInstanceConfig.exe se nezdařilo. Chyba v souboru manifestu nebo zásady E:\Server\MySQL-5.0.51a-win64\bin\MySQLInstanceConfig.exe na řádku 6. Hodnota asAdministrator atributu level v prvku urn:schemas-microsoft-com:asm.v1^requestedPrivileges je neplatná."

  2. 2 Jaroslav Šmíd 21.02.08, 19:37:25
    FB

    Tak jsem to vyřešil. Naprogramoval jsem si ResourcePatcher a pomocí něho vyextrahoval manifest, přepsal "asAdministrator" na "requireAdministrator" a nahrál tam upravený.

  3. 3 Patrik Maly 26.02.08, 22:09:49
    FB

    Mne zas mysql-5.0.51a-winx64 neslo vobec nainstalovat. Pomohla az rada na http://forums.mysql.com/read.php?11,195569,195569#msg-195569...

    -P7

  4. 4 Petr Řezníček 28.02.08, 18:13:53
    FB

    Existuje pro tuto verzi i 64bit Zend debugger? Verze, kterou jsem používal na Win 32 mi teď nefunguje.

  5. 5 Korub Jan 29.11.09, 10:44:06
    FB

    [4] Ani mne sa nepodarilo najst 64bit Zend debugger.

  6. 6 Linda Vladimir 05.08.11, 11:33:09
    FB

    Ahoj, já jsem na WIN7 64bit nainstaloval Apache 2.2.19 32bit a php5 32bit. Apache naběhne v pohodě a nehlásí žádnou chybu, httpd.conf jsem upravil a přidal php modul vše jak má být. Bohužel místo php infa vidím v prohlížeči zdrojový kód. Nevíte čím to může být?

Nový komentář

Pro přidání komentáře se musíte nejdříve  registrovat Facebookem

Banan.cz